export declare function propertyNameSummary(content: string): string;
export declare function propertyDetails(content: string): string;
export declare function enumValue(enumValue: string): string;
export declare function type(typeName: string): string;
/**
* @function defaultValue
* Format a defaultValue for display in markdown
* @param  {any} value - The default value
* @return {string} The default value styled for display in markdown.
*/
export declare function defaultValue(value: any): string;
/**
* @function getHeaderMarkdown
* Gets the markdown syntax for the start of a header.
* @param  {int} level - The header lever that is being requested
* @return {string} The markdown string that should be placed prior to the title of the header
*/
export declare function getHeaderMarkdown(content: any, level: any): string;
/**
* @function getSectionMarkdown
* Gets the markdown syntax for the start of a section.
* @param  {string} section - The name of the section
* @param  {int} level - The header lever that is being requested
* @return {string} The markdown string that should be placed as the start of the section
*/
export declare function getSectionMarkdown(section: any, level: any): string;
/**
* @function getSectionMarkdown
* Gets the markdown syntax for a bulleted item.
* @param  {string} item - The item being bulleted.
* @param  {int} indentationLevel - The number of indentation levels that should be applied
* @return {string} The markdown string representing the item as a bulleted item at the proper indentation.
*/
export declare function bulletItem(item: any, indentationLevel: any): string;
/**
* @function getLinkMarkdown
* Creates a markdown link
* @param  {string} string - The string to be linked
* @param  {string} link - The link that should be applied to the string
* @return {string} The markdown with the specified string hyperlinked to the specified link.
*/
export declare function getLinkMarkdown(string: any, link: any): any;
/**
* @function styleBold
* Returns back a markdown string that bolds the provided string.
* @param  {string} string - The string to be bolded
* @return {string} The bolded string in markdown syntax
*/
export declare function styleBold(string: any): string;
/**
* @function styleCode
* Returns back a markdown string that displays the provided object as code.
* @param  {object} code - The object to be displayed as code. It might be a string, or a number, or ...
* @param  {string} codeLang - The language for the code. If specified will create a tripple back-tip
* @return {string} The code in markdown code syntax
*/
export declare function styleCode(code: any, codeLang?: any): string;
/**
* @function styleCodeType
* Returns back a markdown string that displays the provided string as code.
* @param  {string} string - The string to be displayed as code
* @param  {string} type - The type of the content in string (if it's a literal string, it will be formatted differently)
* @return {string} The string in markdown code syntax
*/
export declare function styleCodeType(string: any, type: any): string;
/**
* @function linkType
* Finds any occurrence of type in the provided string, and adds a markdown link to it.
* @param  {string} string - The string that might be referencing a type
* @param  {string} type - The type whose reference within string should be linked.
* @param  {string} autoLink - The enum value indicating how the auto-linking should be handled.
* @return {string} The updated string, with any occurrences of the @type string linked via markdown.
*/
export declare function linkType(string: any, type: any, autoLink: any): any;
/**
* @function getTOCLink
* @param  {string} displayString The text to display in the link.
* @param  {string} type          The string to link to.
* @return {string} The markdown for a link with displayString text targeted at type.
*/
export declare function getTOCLink(displayString: any, type: any): any;
